# PetscOpenMPFree

Frees a "c struct" on all nodes of an OpenMP communicator

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscOpenMPFree(MPI_Comm comm,void *ptr)

Collective on MPI_Comm

### See Also

PetscOpenMPMerge(), PetscOpenMPNew()

Level:developer
Location:src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages